> ## Documentation Index
> Fetch the complete documentation index at: https://developer.quicko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Computation of Tax

> API to get the computation of tax



## OpenAPI

````yaml /projects/connect/openapi.json GET /income-tax/tax-payer/itr/computation-of-tax
openapi: 3.0.0
info:
  title: open-api
  version: 1.0.0
  description: ''
servers:
  - url: https://api.quicko.com
security: []
paths:
  /income-tax/tax-payer/itr/computation-of-tax:
    parameters: []
    get:
      summary: Tax Computation
      parameters:
        - name: Authorization
          in: header
          required: false
          description: Resource Owner's Access Token
          example: '{{resource_owner_access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          required: false
          description: API User Key
          example: '{{api_key}}'
          schema:
            type: string
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                      '@entity':
                        type: string
                      sheets:
                        type: array
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            '@entity':
                              type: string
                            blocks:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  '@entity':
                                    type: string
                                  items:
                                    type: array
                                    items:
                                      type: array
                                      items:
                                        type: string
                  transaction_id:
                    type: string
                  timestamp:
                    type: integer
              example:
                code: 200
                data:
                  transaction_id: 79b47187-acd7-4049-9b7d-2e4c76137791
                  timestamp: 1763118109858
                  data:
                    sheets:
                      - blocks:
                          - items:
                              - total_taxable_salary: 0
                              - total_taxable_house_property: 8602
                              - total_taxable_capital_gains: 58480
                              - total_taxable_other: 0
                              - total_taxable_business_profession: 0
                              - total_headwise_income: 67082
                              - current_year_loss_adjusted: 0
                              - brought_forward_loss_adjusted: 0
                              - losses_adjusted: 0
                              - carry_forward_loss: 4783885
                              - gross_normal_income: 8602
                              - gross_special_income: 58480
                              - gross_total_income: 67082
                              - total_chapter_vi_a_deduction: 0
                              - total_normal_income: 8600
                              - total_special_income: 58480
                              - aggregate_income: 0
                              - total_income: 67080
                              - total_exempt_income: 0
                              - exempt_ltcg_under_112a: 0
                              - tax_payable_on_normal_rate_income: 0
                              - tax_payable_on_special_rate_income: 0
                              - tax_payable_on_total_income: 0
                              - rebate: 0
                              - tax_after_rebate: 0
                              - surcharge_before_marginal_relief: 0
                              - surcharge: 0
                              - cess: 0
                              - surcharge_and_cess: 0
                              - gross_tax_payable: 0
                              - relief_us_89: 0
                              - relief_us_90_and_90a: 0
                              - relief_us_91: 0
                              - total_relief: 0
                              - effective_tax_rate: 0
                              - interest_234_a: 0
                              - interest_234_b: 0
                              - interest_234_c: 0
                              - fees_234_f: 0
                              - total_interest_and_penalty: 0
                              - net_tax_payable: 0
                              - total_advance_tax_paid: 0
                              - total_self_assessment_tax: 0
                              - total_tax_deducted_at_source: 0
                              - total_tax_collected_at_source: 0
                              - total_tax_withheld_outside_india: 0
                              - total_taxes_paid: 0
                              - refund: 0
                              - due: 0
                            name: tax_computation_list
                            '@entity': list
                        name: tax_computation_sheet
                        '@entity': sheet
                    name: tax_computation_workbook
                    '@entity': workbook
                  code: 200
                transaction_id: 738a0cfb-ae0d-427b-b80b-d3aace5a8778
                timestamp: 1699351274048

````